# Get point of sale This endpoint allows you to find all the information about the points of sale created using specific filters. **GET** `/pos/{id}` ## Request parameters ### Path - `id` (string, required) Creation ID of the point of sale. When you register a point of sale, you will receive a corresponding ID. This ID can be used for various operations, including retrieving the point of sale data. ## Response parameters - `id` (string, optional) Creation ID of the point of sale. When you register a point of sale, you will receive a corresponding ID. This ID can be used for various operations, including retrieving the point of sale data. - `qr` (object, optional) QR code automatically created to receive payments from the point of sale. - `qr.image` (string, optional) URL of the image of the QR code to be used for receiving payments. - `qr.template_document` (string, optional) URL of the file (in PDF format) of the template containing the QR code to be used for receiving payments. - `qr.template_image` (string, optional) URL of the file (in image format) of the template containing the QR code to be used for receiving payments. - `status` (string, optional) Status of the search. - `date_created` (string, optional) Point of sale creation date. This field displays the date and time in ISO 8601 format, such as 2024-08-08T19:29:45.019Z. - `date_last_updated` (string, optional) Date of last modification of the cash register data. This field displays the date and time in ISO 8601 format, such as 2024-08-08T19:29:45.019Z. - `uuid` (string, optional) The UUID (Universally Unique Identifier) is a 128-bit number used to identify information. In this case, it is the identification number of the código QR in question. - `compatible_id` (string, optional) - `user_id` (number, optional) The user_id corresponds to the collector_id. It refers to the user_id of the Mercado Pago account that receives the money from sales, that is, the account responsible for collecting the funds. - `name` (string, optional) Name of the point of sale. - `fixed_amount` (boolean, optional) Define if the customer can insert the amount to be paid. - `store_id` (string, optional) Store identifier to which the point of sale belongs. - `external_store_id` (string, optional) The unique store identifier, set by the integrated system and can contain up to 60 characters. - `external_id` (string, optional) Unique identifier of the point of sale defined by integrator system. - `site` (string, optional) - `qr_code` (string, optional) ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | INVALID_POS_ID | The ID of the poin of sale is invalid, it must be numeric. | | 400 | INVALID_EXTERNAL_ID | The EXTERNAL_ID field must be alphanumeric, only letters and numbers. No spaces, hyphens or special characters. | | 400 | EXTERNAL_ID_TOO_LONG | The EXTERNAL_ID must be less than 40 characters. | | 404 | 1 | If the point of sale does not exist for an indicated ID or EXTERNAL_ID and user. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/pos/{id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": 1988157, "qr": { "image": "https://www.mercadopago.com/instore/merchant/qr/2852128/c955a5618d874e998c8399e3515fed3a00b8cc0ca401448ca56e2f2e18f4ba68.png", "template_document": "https://www.mercadopago.com/instore/merchant/qr/2852128/template_c955a5618d874e998c8399e3515fed3a00b8cc0ca401448ca56e2f2e18f4ba68.pdf", "template_image": "https://www.mercadopago.com/instore/merchant/qr/2852128/template_c955a5618d874e998c8399e3515fed3a00b8cc0ca401448ca56e2f2e18f4ba68.png" }, "status": "active", "date_created": "2019-09-03T13:13:54.000-04:00", "date_last_updated": "2019-10-25T15:16:12.000Z", "uuid": "c955a5618d874e998c8399e3515fed3a00b8cc0ca401448ca56e2f2e18f4ba68", "compatible_id": "4be87a269a7b863fd043658d2a0d7b3fa2f32334138ff651e2408d3f8191d6c9f67a4dc297e9efc70d1adfbb31f7c21c29c9059ac905a359e39114c9871afef9", "user_id": 329653108, "name": "POS001", "fixed_amount": false, "store_id": 56807753, "external_store_id": "SUC01", "external_id": "SUC001POS002", "site": "MLB", "qr_code": "00020101021226940014BR.GOV.BCB.PIX2572pix-qr-h.mercadopago.com/instore/h/p/v2/c955a5618d874e998c8399e3515fed3a43520016com.mercadolibre0128https://mpago.la/pos/28521285204000053039865802BR5924VICTOR CORREA DE ALMEIDA6008CAMPINAS62070503***6304367C" } ```